## org.eclipse.jet.compiler
Class JET2ASTElement

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement

Direct Known Subclasses:
  Comment, JavaElement, JET2CompilationUnit, JET2Directive, TextElement, XMLBodyElementEnd, XMLElement

Deprecated. Since 0.8.0, use `JETASTElement`

    public abstract class JET2ASTElement

extends java.lang.Object

An abstract class representing common aspects of all JET2 AST elements.

Constructor Summary
`JET2ASTElement(org.eclipse.jet.compiler.JET2AST ast, JETASTElement delegate)` Deprecated.

Method Summary
`abstract void` `accept(JET2ASTVisitor visitor)` Deprecated. Visit the AST and its contained elements.
`org.eclipse.jet.compiler.JET2AST` `getAst()` Deprecated. Return the AST root object
`int` `getColumn()` Deprecated. Return the column number (one-based) at which the element starts.
`int` `getEnd()` Deprecated. The document relative offset of the first character after the element.
`int` `getLine()` Deprecated. Return the line (one-based) on which the element starts.
`JET2ASTElement` `getNextElement()` Deprecated.
`JET2ASTElement` `getParent()` Deprecated.
`JET2ASTElement` `getPrevElement()` Deprecated.
`int` `getStart()` Deprecated. The document relative offset of the start of the element.
`boolean` `removeLineWhenOtherwiseEmpty()` Deprecated. Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output.
`protected void` `setDelegate(JETCompilationUnit delegate)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JET2ASTElement

    public JET2ASTElement(org.eclipse.jet.compiler.JET2AST ast,
                          JETASTElement delegate)

  Deprecated.

Method Detail

### getParent

    public final JET2ASTElement getParent()

  Deprecated.
  Returns:
    Returns the parent.

### getStart

    public final int getStart()

  Deprecated.
  The document relative offset of the start of the element.

  Returns:
    the start offset

### getEnd

    public final int getEnd()

  Deprecated.
  The document relative offset of the first character after the element.

  Returns:
    the end offset

### accept

    public abstract void accept(JET2ASTVisitor visitor)

  Deprecated.
  Visit the AST and its contained elements.

  Parameters:
    `visitor` -

### getAst

    public org.eclipse.jet.compiler.JET2AST getAst()

  Deprecated.
  Return the AST root object

  Returns:
    the AST root object
  Since:
    0.8.0

### getLine

    public final int getLine()

  Deprecated.
  Return the line (one-based) on which the element starts.

  Returns:
    the line number.

### getNextElement

    public JET2ASTElement getNextElement()

  Deprecated.

### getPrevElement

    public JET2ASTElement getPrevElement()

  Deprecated.

### getColumn

    public final int getColumn()

  Deprecated.
  Return the column number (one-based) at which the element starts.

  Returns:
    the column number.

### removeLineWhenOtherwiseEmpty

    public final boolean removeLineWhenOtherwiseEmpty()

  Deprecated.
  Indicate whether the the surrounding whitespace, including the trailing new line should be removed from the template output. In general, elements that create output should return `false`, while element that do should should return `true`.

  Returns:
    `true` if the containing line should be removed if otherwise empty.

### setDelegate

    protected void setDelegate(JETCompilationUnit delegate)

  Deprecated.

Copyright 2006 IBM Corporation and others. All Rights Reserved.